Name:           perl-XML-Parser-Lite
# Use three digits since 0.719 -> 0.72
%global cpan_version 0.72
Version:        %{cpan_version}0
Release:        1%{?dist}
Summary:        Lightweight regexp-based XML parser
License:        (GPL+ or Artistic) and REX
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Parser-Lite/
Source0:        http://www.cpan.org/authors/id/P/PH/PHRED/XML-Parser-Lite-%{cpan_version}.tar.gz
# rt#91434
Patch0:         perl-XML-Parser-Lite-0.719-tests.patch
# rt#98635
Patch1:         perl-XML-Parser-Lite-0.719-plan.patch
BuildArch:      noarch
# SOAP::Lite is not actually needed
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(re)
# Tests only
BuildRequires:  perl(diagnostics)
BuildRequires:  perl(SOAP::Test)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XMLRPC::Lite)
BuildRequires:  perl(XMLRPC::Test::Server)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
This Perl module implements an XML parser with an interface similar to
XML::Parser.  Though not all callbacks are supported, you should be able to
use it in the same way you use XML::Parser.

%prep
%setup -q -n XML-Parser-Lite-%{cpan_version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 18 2015 Petr Šabata <contyk@redhat.com> - 0.720-1
- 0.72 bump
- Use three digits in version

* Mon Sep 08 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.719-4
- Perl 5.20 mass

* Fri Sep 05 2014 Petr Šabata <contyk@redhat.com> - 0.719-3
- Avoid koji build failures by correcting the test plan

* Thu Feb 06 2014 Petr Šabata <contyk@redhat.com> - 0.719-2
- Patch the test suite so it actually works

* Wed Feb 05 2014 Petr Šabata <contyk@redhat.com> - 0.719-1
- 0.719 bump

* Wed Nov 20 2013 Petr Šabata <contyk@redhat.com> - 0.717-1
- Specfile autogenerated by cpanspec 1.78.
